/**
 * A progress bar visually illustrates how far through a task a user is.
 * */

export default {
  title: 'Components/ProgressBar',
  tags: ['autodocs'],
  argTypes: {
    percent: {
      control: {
        type: 'range',
        min: 0,
        max: 100,
        step: 1
      }
    }
  },
  args: {
    text: 'Step X of N',
  },
}

const ProgressBarTemplate = ({ percent, text }) => (
  `<div class="rpf-progress-bar">
    ${ text && `<div class="rpf-progress-bar__step">${text}</div>` }
    <div class="rpf-progress-bar__bar">
      <div class="rpf-progress-bar__progress" style="width: ${percent}%"></div>
    </div>
  </div>`
)

export const PartiallyComplete = ProgressBarTemplate.bind({})
PartiallyComplete.args = {
  percent: 60,
}

export const Incomplete = ProgressBarTemplate.bind({})
Incomplete.args = {
  percent: 0,
}

export const Complete = ProgressBarTemplate.bind({})
Complete.args = {
  percent: 100,
}
